Loading...
Searching...
No Matches
Graph::Node Class Reference

## Detailed Description

This class identifies a node of the graph. It also serves as a base class of the node iterators, thus they convert to this type.

`#include <lemon/concepts/graph.h>`

## Public Member Functions

| Node ()
| Default constructor.
| Node (const Node &)
| Copy constructor.
| Node (Invalid)
| Invalid constructor & conversion.
bool | operator== (Node) const
| Equality operator.
bool | operator!= (Node) const
| Inequality operator.
bool | operator< (Node) const
| Artificial ordering operator.

## Constructor & Destructor Documentation

## Node() [1/3]

Node | ( |  | ) |

inline

Default constructor.

Warning
  It sets the object to an undefined value.

## Node() [2/3]

Node | ( | const Node & |  | ) |

inline

Copy constructor.

## Node() [3/3]

Node | ( | Invalid |  | ) |

inline

Initializes the object to be invalid.

See also
  Invalid for more details.

## Member Function Documentation

## operator==()

bool operator== | ( | Node |  | ) | const

inline

Equality operator.

Two iterators are equal if and only if they point to the same object or both are `INVALID`.

## operator!=()

bool operator!= | ( | Node |  | ) | const

inline

Inequality operator.

## operator<()

bool operator< | ( | Node |  | ) | const

inline

Artificial ordering operator.

Note
  This operator only has to define some strict ordering of the items; this order has nothing to do with the iteration ordering of the items.